aboutsummaryrefslogtreecommitdiffstats
path: root/govc
diff options
context:
space:
mode:
authorMatěj Cepl <mcepl@cepl.eu>2023-07-12 11:02:53 +0200
committerMatěj Cepl <mcepl@cepl.eu>2024-10-07 11:02:07 +0200
commite121ca1d6870c2cae8d5f56614643a73f0879507 (patch)
treed5bf08474c080b78b1d068ea835eed72af615bb7 /govc
parent5367f35944f25ebf45922b6ab179548163ad12af (diff)
downloadgosc-e121ca1d6870c2cae8d5f56614643a73f0879507.tar.gz
Add govc
Diffstat (limited to 'govc')
-rwxr-xr-xgovc8
1 files changed, 8 insertions, 0 deletions
diff --git a/govc b/govc
new file mode 100755
index 0000000..137d0ee
--- /dev/null
+++ b/govc
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+set -eux
+
+git diff --no-color HEAD -- *.changes \
+ |sed -E -n -e '/^\+[^+]/s/^\+//p' \
+ |sed -e '/^-\{4,\}/,+1d' \
+ |git commit -F - "$@"